> ## Documentation Index
> Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List team members

> List users who are members of a team.



## OpenAPI

````yaml /openapi.json get /api/svc/v1/teams/{id}/members
openapi: 3.1.0
info:
  title: TrueFoundry API
  description: API for TrueFoundry
  version: 0.1.0
  contact: {}
servers:
  - url: https://{controlPlaneURL}
    variables:
      controlPlaneURL:
        default: app.truefoundry.com
        description: Control Plane URL
security: []
tags:
  - name: Agent
  - name: Agent Skills
  - name: Applications
  - name: Metrics
  - name: Apply
  - name: Artifacts
  - name: Audit Logs
  - name: Clusters
  - name: Jobs
  - name: Logs
  - name: MCP Servers V2
  - name: MLRepos
  - name: Model Deployments
  - name: Models
  - name: Personal Access Tokens
  - name: Prompts
  - name: Provider Integrations
  - name: SCIM v2
  - name: Secret Groups
  - name: Secrets
  - name: Teams
  - name: Traces
  - name: Users
  - name: Virtual Accounts
  - name: Role Bindings
  - name: Workspaces
paths:
  /api/svc/v1/teams/{id}/members:
    get:
      tags:
        - Teams
      summary: List team members
      description: List users who are members of a team.
      operationId: Teams.listTeamMembers
      parameters:
        - name: id
          required: true
          in: path
          description: System-generated team ID.
          schema:
            example: jqfwg345gi25n5ju2yz5iz6m
            type: string
        - name: limit
          required: false
          in: query
          description: Number of items per page
          schema:
            minimum: 1
            maximum: 1000
            nullable: true
            default: 100
            example: 10
            type: integer
        - name: offset
          required: false
          in: query
          description: Number of items to skip
          schema:
            minimum: 0
            nullable: true
            default: 0
            example: 0
            type: integer
        - name: filter
          required: false
          in: query
          description: >-
            JSON string: structured filter tree (AND/OR groups, column leaves on
            `email` and `userId`).
          schema:
            example: >-
              {"type":"AND","children":[{"column":"email","op":"STRING_CONTAINS","value":"@example.com"}]}
            type: string
      responses:
        '200':
          description: Paginated list of team members.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTeamMembersResponse'
        '403':
          description: Forbidden — insufficient permissions to manage this team.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
        '404':
          description: Team with the provided ID was not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - jwt: []
        - jwt: []
components:
  schemas:
    ListTeamMembersResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/TeamSubjectRow'
        pagination:
          $ref: '#/components/schemas/Pagination'
      required:
        - data
        - pagination
      title: ListTeamMembersResponse
      x-fern-type-name: ListTeamMembersResponse
    HttpError:
      type: object
      properties:
        statusCode:
          type: integer
          description: HTTP Status Code
        message:
          type: string
          description: Error Message
        code:
          oneOf:
            - type: integer
            - type: string
          description: Error code
          nullable: true
        details:
          type: array
          description: Error details
          items:
            type: object
          nullable: true
      required:
        - statusCode
        - message
      title: HttpError
      x-fern-type-name: HttpError
    TeamSubjectRow:
      type: object
      properties:
        subjectId:
          type: string
          description: System-generated ID of the subject.
          example: jqfwg345gi25n5ju2yz5iz6m
        subjectSlug:
          type: string
          description: Human-readable slug of the subject (e.g. user email).
          example: alice@example.com
        subjectType:
          description: Type of the subject.
          allOf:
            - $ref: '#/components/schemas/SubjectType'
      required:
        - subjectId
        - subjectSlug
        - subjectType
      title: TeamSubjectRow
      x-fern-type-name: TeamSubjectRow
    Pagination:
      type: object
      properties:
        total:
          type: integer
          description: Total number of items
          example: 100
        offset:
          type: integer
          description: Number of items skipped
          example: 0
          nullable: true
        limit:
          type: integer
          description: Number of items per page
          example: 10
          nullable: true
      required:
        - total
      title: Pagination
      x-fern-type-name: Pagination
    SubjectType:
      type: string
      enum:
        - user
        - team
        - serviceaccount
        - virtualaccount
        - external-identity
        - agent-identity
        - role
      description: >-
        Type of the authenticated subject. "user" for human users,
        "serviceaccount" (also known as virtual account) for programmatic
        access.
      title: SubjectType
      x-fern-type-name: SubjectType
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````